Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.sort
Interface IntSet

All Known Implementing Classes:
  IntArraySet, IntHashSet, IntRangeSet

    public interface IntSet

A set of integers represented as int values

Method Summary
`boolean` | `add(int value)` Add an integer to the set
`void` | `clear()` Clear the contents of the IntSet (making it an empty set)
`boolean` | `contains(int value)` Determine whether a particular integer is present in the set
`boolean` | `containsAll(IntSet other)` Test if this set is a superset of another set
`boolean` | `isEmpty()` Determine if the set is empty
`IntIterator` | `iterator()` Get an iterator over the values
`boolean` | `remove(int value)` Remove an integer from the set
`int` | `size()` Get the number of integers in the set

Method Detail

### clear

    void clear()

  Clear the contents of the IntSet (making it an empty set)

### size

    int size()

  Get the number of integers in the set

  Returns:
    the size of the set

### isEmpty

    boolean isEmpty()

  Determine if the set is empty

  Returns:
    true if the set is empty, false if not

### contains

    boolean contains(int value)

  Determine whether a particular integer is present in the set

  Parameters:
    `value` - the integer under test
  Returns:
    true if value is present in the set, false if not

### remove

    boolean remove(int value)

  Remove an integer from the set

  Parameters:
    `value` - the integer to be removed
  Returns:
    true if the integer was present in the set, false if it was not present

### add

    boolean add(int value)

  Add an integer to the set

  Parameters:
    `value` - the integer to be added
  Returns:
    true if the integer was added, false if it was already present

### iterator

    IntIterator iterator()

  Get an iterator over the values

### containsAll

    boolean containsAll(IntSet other)

  Test if this set is a superset of another set

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.